import { SdTab } from '../models/tab-router.model';
export declare class SdTabBase {
    #private;
    constructor(tab: SdTab | null);
    get tab(): SdTab | null;
}
export declare class SdTabActivated extends SdTabBase {
}
export declare class SdTabDeactivated extends SdTabBase {
}
export declare type SdTabEvent = SdTabActivated | SdTabDeactivated;
